Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine.learning
Class TeachingSynapse

    java.lang.Object
      org.joone.engine.learning.TeachingSynapse

All Implemented Interfaces:
  java.io.Serializable, ComparingElement, NeuralElement, OutputPatternListener

    public class TeachingSynapse

extends java.lang.Object
implements ComparingElement

See Also:
  Serialized Form

Field Summary
`protected AbstractTeacherSynapse` | `theTeacherSynapse`

Constructor Summary
`TeachingSynapse()`
`TeachingSynapse(TeacherSynapse aTeacher)` Creates a TeachingSynapse

Method Summary
`boolean` | `addResultSynapse(OutputPatternListener listener)` Adds an output synapse to which the result must be sent
`protected void` | `backward(double[] pattern)` Training phase.
`java.util.TreeSet` | `check()` Validation checks for invalid parameter values, misconfiguration, etc.
`protected void` | `forward(double[] pattern)` Recall phase
`void` | `fwdPut(Pattern pattern)` Method to put a pattern forward to the next layer
`StreamInputSynapse` | `getDesired()` Insert the method's description here.
`int` | `getInputDimension()` getInputDimension method comment.
`Monitor` | `getMonitor()` Insert the method's description here.
`java.lang.String` | `getName()` Returns the name of the output synapse
`LinearLayer` | `getTheLinearLayer()` Returns the internal Layer used to transport the result to the connected output synapse
`AbstractTeacherSynapse` | `getTheTeacherSynapse()`
`void` | `init()`
`boolean` | `isEnabled()` Getter for property enabled.
`boolean` | `isOutputFull()` Getter for property outputFull.
`void` | `removeResultSynapse(OutputPatternListener listener)` Removes an output synapse
`void` | `resetInput()` Resets the internal buffer of the desired StreamInputSynapse
`Pattern` | `revGet()` Returns the error pattern coming from the next layer during the training phase
`protected void` | `setArrays(int rows, int cols)` Insert the method's description here.
`boolean` | `setDesired(StreamInputSynapse fn)` Setter for the desired data set
`protected void` | `setDimensions(int rows, int cols)`
`void` | `setEnabled(boolean enabled)` Setter for property enabled.
`void` | `setInputDimension(int newInputDimension)` setInputDimension method.
`void` | `setMonitor(Monitor newMonitor)` Inserire qui la descrizione del metodo.
`void` | `setName(java.lang.String newName)` Sets the name of the output synapse
`void` | `setOutputFull(boolean outputFull)` Setter for property outputFull.
`void` | `setTheLinearLayer(LinearLayer newTheLinearLayer)` Needed for Save as XML
`void` | `setTheTeacherSynapse(TeacherSynapse newTheTeacherSynapse)` Needed for Save as XML
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theTeacherSynapse

    protected AbstractTeacherSynapse theTeacherSynapse

Constructor Detail

### TeachingSynapse

    public TeachingSynapse()

### TeachingSynapse

    public TeachingSynapse(TeacherSynapse aTeacher)

  Creates a TeachingSynapse

  Parameters:
    `aTeacher` - the teacher to use. The default constructor (`TeachingSynapse()`) uses a normal `TeacherSynapse`.

Method Detail

### fwdPut

    public void fwdPut(Pattern pattern)

  Description copied from interface: `OutputPatternListener`
  Method to put a pattern forward to the next layer

  Specified by:
    `fwdPut` in interface `OutputPatternListener`
  Parameters:
    `pattern` - neural.engine.Pattern

### getDesired

    public StreamInputSynapse getDesired()

  Insert the method's description here. Creation date: (03/08/2000 22.50.55)

  Specified by:
    `getDesired` in interface `ComparingElement`
  Returns:
    java.lang.String

### getInputDimension

    public int getInputDimension()

  getInputDimension method comment.

  Specified by:
    `getInputDimension` in interface `OutputPatternListener`
  Returns:
    int

### getMonitor

    public Monitor getMonitor()

  Insert the method's description here. Creation date: (03/08/2000 22.54.48)

  Specified by:
    `getMonitor` in interface `NeuralElement`
  Returns:
    neural.engine.Monitor

### getTheLinearLayer

    public LinearLayer getTheLinearLayer()

  Description copied from interface: `ComparingElement`
  Returns the internal Layer used to transport the result to the connected output synapse

  Specified by:
    `getTheLinearLayer` in interface `ComparingElement`
  Returns:
    neural.engine.LinearLayer changed to public for Save As XML

### getTheTeacherSynapse

    public AbstractTeacherSynapse getTheTeacherSynapse()

  Returns:
    neural.engine.TeacherSynapse changed to public for Save As XML

### revGet

    public Pattern revGet()

  Description copied from interface: `OutputPatternListener`
  Returns the error pattern coming from the next layer during the training phase

  Specified by:
    `revGet` in interface `OutputPatternListener`
  Returns:
    neural.engine.Pattern

### setDesired

    public boolean setDesired(StreamInputSynapse fn)

  Description copied from interface: `ComparingElement`
  Setter for the desired data set

  Specified by:
    `setDesired` in interface `ComparingElement`

### addResultSynapse

    public boolean addResultSynapse(OutputPatternListener listener)

  Description copied from interface: `ComparingElement`
  Adds an output synapse to which the result must be sent

  Specified by:
    `addResultSynapse` in interface `ComparingElement`

### removeResultSynapse

    public void removeResultSynapse(OutputPatternListener listener)

  Description copied from interface: `ComparingElement`
  Removes an output synapse

  Specified by:
    `removeResultSynapse` in interface `ComparingElement`

### setInputDimension

    public void setInputDimension(int newInputDimension)

  setInputDimension method.

  Specified by:
    `setInputDimension` in interface `OutputPatternListener`

### setMonitor

    public void setMonitor(Monitor newMonitor)

  Inserire qui la descrizione del metodo. Data di creazione: (06/04/00 23.33.24)

  Specified by:
    `setMonitor` in interface `NeuralElement`
  Parameters:
    `newMonitor` - neural.engine.Monitor

### stop

    public void stop()

### getName

    public java.lang.String getName()

  Description copied from interface: `NeuralElement`
  Returns the name of the output synapse

  Specified by:
    `getName` in interface `NeuralElement`
  Returns:
    String

### setName

    public void setName(java.lang.String newName)

  Description copied from interface: `NeuralElement`
  Sets the name of the output synapse

  Specified by:
    `setName` in interface `NeuralElement`
  Parameters:
    `newName` - String

### forward

    protected void forward(double[] pattern)

  Recall phase

  Parameters:
    `pattern` - double[] - pattern di input sul quale applicare la funzione di trasferimento

### setArrays

    protected void setArrays(int rows,
                             int cols)

  Insert the method's description here. Creation date: (23/09/2000 12.52.58)

### setDimensions

    protected void setDimensions(int rows,
                                 int cols)

  Parameters:
    `int` - rows - righe
    `int` - cols - colonne

### backward

    protected void backward(double[] pattern)

  Training phase.

  Parameters:
    `pattern` - double[] - input pattern

### setTheTeacherSynapse

    public void setTheTeacherSynapse(TeacherSynapse newTheTeacherSynapse)

  Needed for Save as XML

### setTheLinearLayer

    public void setTheLinearLayer(LinearLayer newTheLinearLayer)

  Needed for Save as XML

### resetInput

    public void resetInput()

  Description copied from interface: `ComparingElement`
  Resets the internal buffer of the desired StreamInputSynapse

  Specified by:
    `resetInput` in interface `ComparingElement`

### check

    public java.util.TreeSet check()

  Description copied from interface: `NeuralElement`
  Validation checks for invalid parameter values, misconfiguration, etc. All network components should include a check method that firstly calls its ancestor check method and adds these to any check messages it produces. This allows check messages to be collected from all levels of a component to be returned to the caller's check method. Using a TreeSet ensures that duplicate messages are removed. Check messages should be produced using the generateValidationErrorMessage method of the NetChecker class.

  Specified by:
    `check` in interface `NeuralElement`
  Returns:
    validation errors.

### isEnabled

    public boolean isEnabled()

  Getter for property enabled.

  Specified by:
    `isEnabled` in interface `NeuralElement`
  Returns:
    Value of property enabled.

### setEnabled

    public void setEnabled(boolean enabled)

  Setter for property enabled.

  Specified by:
    `setEnabled` in interface `NeuralElement`
  Parameters:
    `enabled` - New value of property enabled.

### isOutputFull

    public boolean isOutputFull()

  Getter for property outputFull.

  Specified by:
    `isOutputFull` in interface `OutputPatternListener`
  Returns:
    Value of property outputFull.

### setOutputFull

    public void setOutputFull(boolean outputFull)

  Setter for property outputFull.

  Specified by:
    `setOutputFull` in interface `OutputPatternListener`
  Parameters:
    `outputFull` - New value of property outputFull.

### init

    public void init()

  Specified by:
    `init` in interface `NeuralElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net